Update a generation’s title.
curl --request PATCH \
--url https://app.mavera.io/api/v1/generations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>"
}
'{
"id": "<string>",
"object": "generation",
"title": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
},
"brand_voice": {
"id": "<string>",
"label": "<string>"
},
"input_data": {},
"output": "<string>",
"content_type": "markdown",
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Generation ID
New title for the generation
100Generation updated
A generated content item
Unique generation identifier
generation Generation title
Reference to a generation app
Show child attributes
Reference to a brand voice
Show child attributes
Input values provided for generation
Generated content
Content format
markdown, html curl --request PATCH \
--url https://app.mavera.io/api/v1/generations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>"
}
'{
"id": "<string>",
"object": "generation",
"title": "<string>",
"app": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
},
"brand_voice": {
"id": "<string>",
"label": "<string>"
},
"input_data": {},
"output": "<string>",
"content_type": "markdown",
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}